import request from '@/utils/request'

// 查询标签管理分页列表
export function pageTagManage(query) {
  return request({
    url: '/system/tag_manage/page',
    method: 'get',
    params: query
  })
}

// 查询全部的标签数据列表
export function listTagManage(query) {
  return request({
    url: '/system/tag_manage/list',
    method: 'get',
    params: query
  })
}

// 查询标签管理详细
export function getTagManage(id) {
  return request({
    url: '/system/tag_manage/' + id,
    method: 'get'
  })
}

// 新增标签管理
export function addTagManage(data) {
  return request({
    url: '/system/tag_manage',
    method: 'post',
    data: data
  })
}

// 修改标签管理
export function updateTagManage(data) {
  return request({
    url: '/system/tag_manage',
    method: 'put',
    data: data
  })
}

// 标签状态修改
export function changeTagStatus(id, toyStatus) {
  const data = {
    id,
    toyStatus
  }
  return request({
    url: '/system/tag_manage/tag-status',
    method: 'put',
    data: data
  })
}

// 逻辑删除标签管理
export function logicalDelTagManage(id) {
  return request({
    url: '/system/tag_manage/abandon/' + id,
    method: 'put'
  })
}

// 删除标签管理
export function delTagManage(id) {
  return request({
    url: '/system/tag_manage/' + id,
    method: 'delete'
  })
}
